
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript权威设计--JavaScript对象(简要学习笔记七) / iVAN</title>

    <meta name="description" content="JavaScript权威设计--JavaScript对象(简要学习笔记七) 1.with语句 语法: width(object){ statement } with语句可用于临时扩展作用域链.作用域链可以按序检索的对象列表,通过它可以进行变量名解析. with将object添加到作用域链的头部,然后执行内部statement,最后把作用域链回复到原始状态.   但是:with语句要尽量避免使用.有with代码的语句难以优化,且运行的更慢. 在对象嵌套跟多层次的时候通常会使用with来优化. 如: document.forms[0].address.value //-&g ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript权威设计--JavaScript对象(简要学习笔记七)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1.with语句</strong></p>
<p>语法：</p>
<pre>width(object){
    statement
}</pre>
<p>with语句可用于临时扩展作用域链。作用域链可以按序检索的对象列表，通过它可以进行变量名解析。</p>
<p>with将object添加到作用域链的头部，然后执行内部statement，最后把作用域链回复到原始状态。</p>
<p> </p>
<p>但是：with语句要尽量避免使用。有with代码的语句难以优化，且运行的更慢。</p>
<p>在对象嵌套跟多层次的时候通常会使用with来优化。</p>
<p>如：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>document.forms[0].address.value
//-&gt;
with(document.forms[0]){
    //直接访问表单元素
    name.value="";
    ....
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>这样写的话就不用再为每个属性添加document.forms[0]前缀。这个对象临时挂载在作用域链上。</p>
<p>同样也可以这么写：</p>
<pre>var f=document.forms[0];
f.name.value="";</pre>
<p> </p>
<p>需要注意的是：只有在查找标识符的时候才会用到作用域链，创建新变量的时候不使用。</p>
<p>如：</p>
<pre>with(0){
    x=1;
}
//-&gt;x=1</pre>
<p> </p>
<p><strong>2.创建对象</strong></p>
<p>可通过对象直接量，关键字，new 和Object.create()函数来创建对象</p>
<p><strong>方式一：对象直接量创建对象</strong></p>
<p>如：</p>
<pre>var emp={
    x:0,
    y:0
}</pre>
<p>对象直接量是一个表达式，该表达式的每次运算都创建并初始化一个新的对象。</p>
<p> </p>
<p><strong>方式二：new创建对象</strong></p>
<p>new后面跟一个函数调用，这里的函数称作构造函数，构造函数友谊初始化一个新创建的对象。</p>
<p>如：</p>
<pre>var o=new Object();    //创建一个空对象，和var o={}一样</pre>
<p> </p>
<p><strong>方式三：Object.create()函数来创建对象</strong></p>
<p>通过new Date()创建的对象的原型是Date.prototype</p>
<p>Date.prototype的属性继承自Object.prototype</p>
<p>所以通过new Date()创建的Date()对象的属性同事继承自Date.prototype和Object.prototype，</p>
<p>这一系列链接的原型对象就是所谓的"原型链"。</p>
<p>如：</p>
<pre>var plo=Object.create({ x:1, y:2});    //plo继承了属性x和y
var plo=Object.create(null);    //创建了一个没有原型的新对象，plo不继承任何属性和方法，也就是说他不能与"+"运算符一起正常工作
var plo=Object.create(Object.prototype);    //创建一个空对象，和{}一样</pre>
<p> </p>
<p><strong>3.作为关联数组的对象</strong></p>
<p>object.prot    //使用点运算符，与C和Java有点类似</p>
<p>object["prot"]    //使用方括号和一个字符串，看起来更像数组，不过这里使用的是字符串索引，这种数组就是关联数组，或称作散列，映射或字典</p>
<p>当通过[]来访问对象的属性时，属性名用过字符串来表示。字符串是JavaScript的数据类型，在程序运行时可以修改和创建他们。</p>
<p>如：</p>
<pre>var addr="";
for(var i=0;i&lt;4;i++){
    addr+=customer["address"+i]+'\n'
}</pre>
<p>这段代码读取customer独享的address0,...address3的属性。</p>
<p> </p>
<p><strong>4.简单继承</strong></p>
<p>假设要查询对象o的属性x,如果o中不存在x,那么将会继续在o的原型对象中查询该属性x。</p>
<p>如果原型对象中也没有x,但是这个原型对象也有原型，那么继续在这个原型对象的原型对象中进行查询，指导找到</p>
<p>x或查找到一个原型是null的对象为止。可以看到，对象的原型属性构成了一个"链",通过这个"链"可以实现属性的继承。</p>
<pre>var o={}    //o继承自Object.prototype
o.x=1;
var p=o    //p继承自o和Object.prototype
p.x=2;
alert(o.x)    //2</pre>
<p> </p>
<p><strong>5.检测属性</strong></p>
<p><strong>方法一：in(in可以区分不存在的属性和存在但是值为undefined的属性)</strong></p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>var o={
    x:1
}
"x"    in o    //true
"y"    in o    //false
"toString"    in o    //true:o继承toString属性
delete o.x
"x"    in o    //false:属性不在存在</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p> </p>
<p><strong>方法二：hasOwnProperty() 用来检测给定的名字是否是对象的自由属性。是的话返回true，如果是继承的属性返回false。</strong></p>
<pre>var o={
    x:1
}
o.hasOwnProperty("x")    //true
o.hasOwnProperty("y")    //false
o.hasOwnProperty("toString")    //false</pre>
<p> </p>
<p><strong>方法三：!==(该运算符可以区分undefined和null，而"!=则不能")</strong></p>
<pre>var o={
    x:1
}
o.x!==1;    //false</pre>
<p> </p>
<p>转载：http://www.cnblogs.com/zqzjs/p/4805350.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 20:37:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript权威设计--JavaScript对象(简要学习笔记七)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA6yeM.html" rel="bookmark">JavaScript权威设计--Window对象&lpar;简要学习笔记十三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Window对象是所有客户端JavaScript特性和API的主要接入点. Window对象中的一个重要属性是document,它引用Document对象. JavaScript程序可以通过Document对象和它包含的Element对象遍历和管理文档.   2.URL中的JavaScript 在URL后面跟一个JavaScript:协议限定符.里面的代码会作为JavaScript代码进行运行,需用分号分割. 如: &lt;a href=&quot;javascript:alert('OK!')&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRD443z.html" rel="bookmark">JavaScript权威设计--事件处理介绍&lpar;简要学习笔记十七&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.事件相关概念 事件类型:一个用来说明发生什么类型事件的字符串 事件目标:是发生的事件或与之相关的对象. 事件处理程序(事件监听程序):是处理货响应事件的函数. 事件对象:是与特定事件相关并且包含有关该事件详细信息的对象. 事件传播:是浏览器决定哪个对象触发其事件处理程序的过程. 事件捕获:在容器元素上注册的特定处理程序有机会再事件传播打破真实目标之前拦截它. 阻止标签默认事件的发生   2.Window事件 focus,blur不冒泡.focusin,focusout冒泡. load当文档和			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKQBnb.html" rel="bookmark">JavaScript权威设计--JavaScript函数&lpar;简要学习笔记十一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.函数调用的四种方式 第三种:构造函数调用 如果构造函数调用在圆括号内包含一组实参列表,先计算这些实参表达式,然后传入函数内.这和函数调用和方法调用是一致的.但如果构造函数没有形参,JavaScript构造函数调用的语法是允许省略实参列表和圆括号的. 如: var o=new Object(); //-&gt;等价于 var o=new Object;   第四种:使用call()与apply()间接调用(放在后面详细说明)   2.函数的实参与形参--可选形参 先看一个例子: function g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1oo4z.html" rel="bookmark">JavaScript权威设计--JavaScript函数&lpar;简要学习笔记十&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.函数命名规范 函数命名通常以动词为前缀的词组.通常第一个字符小写.当包含多个单词时,一种约定是将单词以下划线分割,就像&quot;like_Zqz()&quot;. 还有一种就是&quot;likeZqz()&quot;.有些些函数是用作内部用的或者为私有函数通常以一条下划线为前缀,就像&quot;_zqzName()&quot;.   2.以表达式方式定义的函数 如: var zqz=function (){ return &quot;zhaoqize&quot;; } 在使用的时候必须把它赋值给一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RllDz.html" rel="bookmark">JavaScript权威设计--JavaScript类型&comma;值&comma;变量&lpar;简要学习笔记三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.负号是一元求反运算 如果直接给数字直接量前面添加负号可以得到他们的负值     2.JavaScript中的运算超出了最大能表示的值不会报错,会显示Infinity. 超出最小也不报错,会显示-Infinity. 运算出的结果如果是个非数字的值得时候,用NaN表示.   3.字符串直接量拆分成数行 ECMAScript3中,字符串直接量必须下载一行中,而在ECMScript中,字符串直接量可以拆分成数行,每行必须以反斜线(\)介绍. 如:&quot;two\lines&quot;       &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6dq6M.html" rel="bookmark">JavaScript权威设计--Window对象之Iframe&lpar;简要学习笔记十四&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Window对象属性的文档元素(id) 如果在HTML文档中用id属性来为元素命名,并且如果Window对象没有此名字的属性,Window对象会赋予一个属性,它的名字是id属性的值,而他们的值指向表示文档元素的HTMLElement对象. Window对象是以全局对象的形式存在于作用域链的最上层,这就意味着HTML文档中使用的id属性会成为可以被脚本访问的全局变量. 如: &lt;button id=&quot;but&quot;/&gt; 就可以通过全局变量but来引用此元素.   2.多窗体窗口(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRY4Zp.html" rel="bookmark">JavaScript权威设计--事件冒泡，捕获，事件句柄，事件源，事件对象&lpar;简要学习笔记十八&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.事件冒泡与事件捕获 2.事件与事件句柄   3.事件委托:利用事件的冒泡技术.子元素的事件最终会冒泡到父元素直到跟节点.事件监听会分析从子元素冒泡上来的事件. 事件委托的好处:     1.每个函数都是对象,都会占用内存,内存中对象越多,性能越差.     2.必须事先指定所有事件处理程序而导致的DOM访问次数,会延迟整个页面的交互就绪时间. 怎样处理由于事件较多引起的性能差: 1.采用事件委托技术,限制简历的连接数量 2.在不需要的时候移除事件处理程序 例子: html: &lt;div id=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBGjJM.html" rel="bookmark">JavaScript权威设计--JavaScript对象&lpar;简要学习笔记八&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.属性的特性 一个属性包含一个名字和4个特性.4个特性:值,可写性,可枚举性,可配置性   2.对象的三个属性 一:原型属性 要想检测一个对象是否是另一个对象的原型,使用isPrototypeOf()方法 如: var P={x=1}; //定义一个原型对象 var o=Object.create(p); //使用这个原型对象创建一个对象 p.isPrototypeOf(o) //true:o继承自p Object.isPrototypeOf(p) //true:p继承自Object.prot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAZo4p.html" rel="bookmark">JavaScript权威设计--JavaScript脚本化文档Document与CSS&lpar;简要学习笔记十五&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Document与Element和TEXT是Node的子类. Document:树形的根部节点 Element:HTML元素的节点 TEXT:文本节点   &gt;&gt;HtmlElement与HtmlDocument a:HtmlElement对象表示HTML中的一个个元素. b:HtmlDocument对象表示 HTML 文档树的根.HTMLDocument 接口对 DOM Document 接口进行了扩展,定义 HTML 专用的属性和方法.   &gt;&gt;HTML的DOM对象 a:DOM			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWOnMG.html" rel="bookmark" class="title">阿里年会的马老师说：认真生活、快乐工作、保持理想</a>
					<div>
						9月8日,阿里巴巴集团18周年年会上,马云老师这样说. 我们要感谢这个时代.感谢互联网.感谢中国.感谢所有的同事,包括那些曾经在阿里巴巴工作过哪怕半个小时的人. 18年来变化最大的,是我们从18个人变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW2KGb.html" rel="bookmark" class="title">2014天猫年中促销优惠信息及购物攻略</a>
					<div>
						  618是电商饕餮盛宴,自然少不了头号交椅的天猫.相比关注电商在618当天的龙争虎斗,相信不少网友更加关心天猫商城年中大促活动各大板块的优惠信息.在此,小编整理了一份天猫618年中大促购物攻略汇总, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV4KlM.html" rel="bookmark" class="title">揭秘外链优化：论坛签名还有效果吗</a>
					<div>
						外链优化,提高网站排名的必要手段,甚至于在网站优化过程中,纵然不懂SEO如何优化,疯狂的放外链也可在一定阶段内迅速提高排名,这便是外链的价值所在.在传统的外链推广中有一种推广模式:论坛签名,将网站UR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrwJEp.html" rel="bookmark" class="title">如何删除oracle</a>
					<div>
						软件环境: 1.Windows 2000+ORACLE 8.1.7 2.ORACLE安装路径为:C:\ORACLE 实现方法: 1.开始-&gt;设置-&gt;控制面板-&gt;管理工具-&gt;服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7e48b.html" rel="bookmark" class="title">用好MSN群公告 随时掌握个性化资讯</a>
					<div>
						MSN群推出了新功能,可以制作个性化公告了.在群公告中支持如下一些代码,群主和管理员可以贴歌.贴flash,打造自己的个性化群公告. 只要在群公告中输入如下代码就可以得到对应功能. ·查询天气 小I天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRZoNz.html" rel="bookmark" class="title">迅雷大全加速聚合 欲打造最大开放平台</a>
					<div>
						看视频.追新剧.听音乐.忙下载--用户往往为了寻找自己心仪的资源而在电脑中装载多个软件,使得电脑开机.浏览网页的响应时间明显变缓,原本丰盈的内存也变得捉襟见肘.有没有一款软件能够同时拥有多元资源的平台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jXXlb.html" rel="bookmark" class="title">20个炫酷好玩儿的网页导航设计</a>
					<div>
						  简单有效的导航栏设计 能够极大的提高用户体验,不仅能让用户更快找到他们想要的内容,还能适当分担搜索引擎的压力.常见的导航设计 我想大家都已经非常熟悉了,今天我们要分享的一些有趣的.原创的.甚至具有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa8yvM.html" rel="bookmark" class="title">Photoshop CS5制作非常剔透的玻璃按键</a>
					<div>
						  Photoshop CS5玻璃按钮的暗部非常少,重点是高光部分的渲染,可以先用图层样式做出内侧边缘高光及底部的投影;再用手绘的方法加上顶部的高光;其它部分可以加上一些环境光或倒影等即可. 最终效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2XO5M.html" rel="bookmark" class="title">php简单定时执行任务的实现方法</a>
					<div>
						 这篇文章主要介绍了php简单定时执行任务的实现方法,涉及curl及sleep等操作技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php简单定时执行任务的实现方法.分享给大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3oJ6M.html" rel="bookmark" class="title">360杀毒怎么恢复文件</a>
					<div>
						  第一步:打开360杀毒软件的界面,我们可以看到左边边框处有一绿一蓝两个小条纹. 第二步:将鼠标移到蓝色的小条纹处,会发现隔离区的栏目自动弹出来了就. 第三步:点击隔离区按钮打开隔离区的界面,你会发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badnlnz.html" rel="bookmark" class="title">Win XP回收站无法清空怎么办</a>
					<div>
						  Windows XP系统出现问题,表现为回收站中的内容无法清空,而且每次打开回收站时它总先搜索一遍,然后在清空回收站时显示一个确认删除对话框,选&quot;是&quot;后清空,再次打开回收站时又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmkxmz.html" rel="bookmark" class="title">为什么电脑安装了pymongo等模块，在命令行可以import&comma;但是在web上不能</a>
					<div>
						问题描述 为什么电脑安装了pymongo等模块,在命令行可以import,但是在web上不能 apache的错误日志这样显示: File &quot;D:AppServwwwXYingPYdbMong ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkwJOb.html" rel="bookmark" class="title">三步教你搭建给黑白照片上色的神经网络 &excl;（附代码）</a>
					<div>
						深度学习云平台FloydHub最近在官方博客上发了一篇通过搭建神经网络,来给黑白照片上色的教程,在Twitter和Reddit论坛上都广受好评. FloydHub是个YC孵化的创业公司,号称要做深度学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ1vdz.html" rel="bookmark" class="title">linux shell命令行下curl问题。。。，，</a>
					<div>
						问题描述 linux shell命令行下curl问题...,, curl -d 之后收到网页的返回数据,是代表发送成功了么 如果是成功了,为什么我么有收到短信呢 如果没成功,应该怎么发送一个post数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPGxlp.html" rel="bookmark" class="title">ios-iOS AFNetworking3&period;0关于Stream的问题</a>
					<div>
						问题描述 iOS AFNetworking3.0关于Stream的问题 3.0版本后取消了conncetion相关的类,如果将字典转成NSData,再转成inputStream,放到HTTPStrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kKYoM.html" rel="bookmark" class="title">由光年论坛的关闭理解分析关闭光年的原因&lpar;二&rpar;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在前面写到了国平老师关闭光年的原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP3lmp.html" rel="bookmark" class="title">有人用java做过一边上传一边下载吗？</a>
					<div>
						问题描述 最近有个想法,想通过HTTP实现一边上传一边下载,实现类似实时传输的目的.所以这里有两个问题:A,B为两个客户端,WebServer(以下简称WS)起到一个中转的作用1.A想传送一个文件给B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd81db.html" rel="bookmark" class="title">The Twelve-Factor在Cloud Native时代是否依然适用？</a>
					<div>
						按语 Heroku是云应用平台的先驱,从对外提供服务以来,他们已经有上百万应用的托管和运营经验.其创始人Adam Wiggins根据这些经验,提出了十二要素应用宣言 .The Twelve-Facto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA5WAM.html" rel="bookmark" class="title">kmeans-sklearn包中的KMeans大概的实现方法是什么啊？</a>
					<div>
						问题描述 sklearn包中的KMeans大概的实现方法是什么啊? Python中有一个sklearn包 有一个KMeans函数,我有一个余弦相似度矩阵,大概实现方法是怎么样的啊? 解决方案 官方AP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg9Y9M.html" rel="bookmark" class="title">intellij idea-Idea启动tomcat发布项目失败</a>
					<div>
						问题描述 Idea启动tomcat发布项目失败 &quot;D:Program Filesapache-tomcat-7.0.0incatalina.bat&quot; run [2015-10-16 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NWX8z.html" rel="bookmark" class="title">怎样保护在线交易用户免遭钓鱼的欺诈</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 如今,最火的地方莫过于股市,平均每13个中国人就有1个炒股,说我国已进入&quot;全民皆股&quot;时代似乎一点也不为过.不过,几乎绝大部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr27oVM.html" rel="bookmark" class="title">开源php中文分词系统SCWS安装和使用实例&lowbar;php实例</a>
					<div>
						一.SCWS简介 SCWS 是 Simple Chinese Word Segmentation 的首字母缩写(即:简易中文分词系统).这是一套基于词频词典的机械式中文分词引擎,它能将一整段的中文文本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0G1Vp.html" rel="bookmark" class="title">C&num;的using语句</a>
					<div>
						C#的using语句设计的蛮贴心,比java的import有趣一点.转一篇文章. C#中的using除了作为命名空间指示符(using System),类型的别名指示符(using Dos=Syste ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NX43b.html" rel="bookmark" class="title">有关mysql多表查询</a>
					<div>
						问题描述 现在有User表,和Post表,Reply表User表Post表(一对多)User表Reply表(一对多)Post表Reply表(一对多)实现的功能为:当我通过帖子ID,就能找到相应回复内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YZ9yb.html" rel="bookmark" class="title">马士兵 正则表达式的学习&lpar;补充&rpar;</a>
					<div>
						none-capturing groups 特殊构造(非捕获) package com.zzk.cn; import java.util.regex.Matcher; import java.util ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyWknM.html" rel="bookmark" class="title">私密社交空间还剩下多少</a>
					<div>
						随着微信的茁壮成长,微信朋友圈的用户数和活跃度,也紧跟着成长着.因为微信可以通过手机联系人导入关系链,原先定位熟人社交的QQ空间.人人网等平台,因为好友数量一般过多,被挤到&quot;泛熟人社交&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW1B0M.html" rel="bookmark" class="title">Excel函数解析：YEAR函数的使用方法</a>
					<div>
						1.用Excel2013打开一篇工作表,我们现在需要在C列中求出B列与A列日期的年数差,选中C2单元格,输入函数&quot;=YEAR(B2)-YEAR(A2)&quot;. 2.当我们按下回车键后, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAYBNp.html" rel="bookmark" class="title">南国万人相亲大会网站上线</a>
					<div>
						本报海口11月7日讯 (记者董纯进)由南国都市报主办.南海网承建的2012南国万人相亲大会网站(http://nanhai.hinews.cn/zt/xqh_2012.php )今日正式开通上线,网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyVkvM.html" rel="bookmark" class="title">只开发php&comma; 安装visual studio的时候哪些功能必须安装</a>
					<div>
						问题描述 只开发php, 安装visual studio的时候哪些功能必须安装 解决方案 你还是全装了吧;后期你要开发别的就不用折腾了: 我安装的就都装了 解决方案二: 我是主要开发java, php ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ3XLM.html" rel="bookmark" class="title">别人的丑事</a>
					<div>
						大多数浙商把富士康看成了&quot;别人的丑事&quot;,认为自己的劳资关系还是很和谐. 执笔/本刊记者 白友文 在杭州一家工厂打工的张先生,过着&quot;朝六晚八&quot;的生活,回到家就大睡 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
